Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82793 - Application bug, race in MSG_PEEK
Summary: Application bug, race in MSG_PEEK
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vsftpd
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-26 14:25 UTC by Bryce
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 17:44:05 UTC


Attachments (Terms of Use)

Description Bryce 2003-01-26 14:25:30 UTC
On a system is used to provide ftp services using RHAT 7.3, I've recently gotten
kernel messages that don't look healthy and seem to indicate that there is
problem with vsftp itself. I keep both boxes at current errata levels.

[root@zenIIIa root]# rpm -q kernel glibc vsftpd
kernel-2.4.18-19.7.x
glibc-2.2.5-42
vsftpd-1.0.1-5



TCP(vsftpd:29239): Application bug, race in MSG_PEEK.
NET: 10201 messages suppressed.
TCP(vsftpd:29246): Application bug, race in MSG_PEEK.
NET: 4025 messages suppressed.
TCP(vsftpd:29261): Application bug, race in MSG_PEEK.

This is not isolated to the one machine, it's sister box also shows similar
ndisc_send_redirect: not a neighbour
NET: 19727 messages suppressed.
TCP(vsftpd:11649): Application bug, race in MSG_PEEK.
NET: 17996 messages suppressed.
TCP(vsftpd:13780): Application bug, race in MSG_PEEK.
NET: 103328 messages suppressed.
TCP(vsftpd:13780): Application bug, race in MSG_PEEK.
NET: 86552 messages suppressed.
TCP(vsftpd:14864): Application bug, race in MSG_PEEK.
NET: 2328 messages suppressed.
TCP(vsftpd:21245): Application bug, race in MSG_PEEK.
NET: 54977 messages suppressed.
TCP(vsftpd:21801): Application bug, race in MSG_PEEK.
NET: 76608 messages suppressed.
TCP(vsftpd:26079): Application bug, race in MSG_PEEK.
NET: 3826185 messages suppressed.
TCP: Treason uncloaked! Peer 194.72.54.134:36276/20 shrinks window
3382396639:3382403335. Repaired.
TCP(vsftpd:6204): Application bug, race in MSG_PEEK.
NET: 12897 messages suppressed.
TCP(vsftpd:31766): Application bug, race in MSG_PEEK.
NET: 391013 messages suppressed.

Comment 1 Bill Nottingham 2003-01-27 17:44:05 UTC
Should be fixed in the Phoebe vsftpd (1.1.0 or later.)


Note You need to log in before you can comment on or make changes to this bug.